Amazon Aurora support

21st December, 2017
Applies to: 6.x versions, Article available also for: 9.x (current), 8.x, 7.x, 5.x
You are looking at documentation for an older release.
Switch to the documentation for Dataedo 9.x (current).

Supported Amazon Aurora databases

Versions:

  • MySQL 5.6 compatibile
  • MySQL 5.7 compatible
  • PostgreSQL compatible version is not supported yet

Supported schema elements and metadata

MySQL 5.6/5.7 compatibile

Dataedo reads following metadata from Amazon Aurora databases.

  • Tables
    • Columns
      • Data type with length
      • Nullable
      • Default value
      • Generated column formula
    • Primary keys
      • Columns
    • Unique indexes
      • Column
    • Foreign keys
      • Columns
    • Triggers
      • When triggered
      • Script
  • Views
    • Columns (see tables)
    • Script
  • Procedures
    • Script
    • Parameters
  • Functions
    • Script
    • Parameters
    • Returned value

Comments

MySQL 5.6/5.7 compatibile

Dataedo reads Amazon Aurora comments from following objects:

  • Tables
    • Columns
    • Primary keys
    • Unique indexes
  • Views
    • Columns
  • Procedures
  • Functions

Dataedo does not write comments back to Amazon Aurora.

Limitations

MySQL 5.6/5.7 compatibile

Following schema/metadata elements currently are not supported:

  • Check constraints (vote)
  • Non unique indexes (vote)
  • Dependencies - not presented by Amazon Aurora

Connection:

  • SSL connection is currently not supported
Found issue with this article? Comment below
0
There are no comments. Click here to write the first comment.